Bug 40713 - univention-app upgrade fails when App has DefaultPackagesMaster
univention-app upgrade fails when App has DefaultPackagesMaster
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 14:17 CET by Dirk Wiesenthal
Modified: 2016-02-24 13:06 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2016-02-17 14:17:43 CET
Found during QA of Bug#40674: Upgrading Master Packages leads to an error.
Comment 1 Dirk Wiesenthal univentionstaff 2016-02-17 14:18:24 CET
Reproduce:
  univention-app install openvpn4ucs=1.1.4
  univention-app upgrade openvpn4ucs
Comment 2 Dirk Wiesenthal univentionstaff 2016-02-18 01:16:12 CET
Fixed in
  univention-appcenter 5.0.20-3.114.201602180113
Comment 3 Dirk Wiesenthal univentionstaff 2016-02-18 13:05:52 CET
univention-appcenter 5.0.20-5.116.201602181303

fixes one more issue with the component not being properly unregistered.
Comment 4 Florian Best univentionstaff 2016-02-23 13:07:46 CET
Traceback (most recent call last):
  File "/usr/bin/univention-app", line 86, in <module>
    main()
  File "/usr/bin/univention-app", line 76, in main
    ret = args.func(args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/__init__.py", line 182, in call_with_namespace
    result = self.main(namespace)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/upgrade.py", line 68, in main
    return self.do_it(args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install_base.py", line 107, in do_it
    self._do_it(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_upgrade.py", line 84, in _do_it
    return super(Upgrade, self)._do_it(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install.py", line 73, in _do_it
    if self._install_app(app, args):
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_install.py", line 53, in _install_app
    return super(Install, self)._install_app(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install.py", line 138, in _install_app
    self._install_master_packages(app, 30)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install.py", line 89, in _install_master_packages
    ucr_save(self._register_component_dict(self, old_app, server))
TypeError: _register_component_dict() takes exactly 3 arguments (4 given)
Comment 5 Felix Botner univentionstaff 2016-02-23 15:18:07 CET
OK - slave (install, upgrade)
OK - master (install, upgrade)

OK - YAML
Comment 6 Janek Walkenhorst univentionstaff 2016-02-24 13:06:47 CET
<http://errata.software-univention.de/ucs/4.1/118.html>